Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class MulticastDiscoveryClient.Server

    java.lang.Object
      |
      +--com.compoze.util.MulticastDiscoveryClient.Server

Enclosing class:
  MulticastDiscoveryClient

public class MulticastDiscoveryClient.Server
extends java.lang.Object

Class description.

Constructor Summary
`MulticastDiscoveryClient.Server(java.net.InetAddress inetAddress, int iPort)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Equals.
`java.net.InetAddress` | `getInetAddress()` Get the address of the server.
`int` | `getPort()` Get the server port.
`int` | `hashCode()` Hash code.
`java.lang.String` | `toString()` Creates a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MulticastDiscoveryClient.Server

    public MulticastDiscoveryClient.Server(java.net.InetAddress inetAddress,
                                           int iPort)

  Constructor.
  Parameters:
    `inetAddress` - the server address
    `iPort` - the server port

Method Detail

### getInetAddress

    public java.net.InetAddress getInetAddress()

  Get the address of the server.
  Returns:
    the server address

### getPort

    public int getPort()

  Get the server port.
  Returns:
    the server port

### hashCode

    public int hashCode()

  Hash code.
  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Equals.
  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Creates a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.